groundpicp = love.graphics.newImage("pics/groundp.png")
groundpicp:setFilter('nearest','nearest')

bomb = {}
function bomb.spawn(x,y,pic)
	table.insert(bomb, {radius = 100,x = x,yvel = 0, y = y, pic = pic,height = pic:getHeight() * 0.1,width = pic:getWidth() * 0.1})
end
function bomb.draw()
	for i,v in ipairs(bomb) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(v.pic,v.x,v.y, 0, 0.1, 0.1)
	end	
end
function bomb.update(dt)
	for i,v in ipairs(bomb) do
		v.y = v.y + v.yvel * dt
		v.yvel = v.yvel + 175 * dt
		for ia,va in ipairs(bullet) do
				if va.x + va.width > v.x and
				va.x < v.x + v.width and
				va.y + va.height > v.y and
				va.y < v.y + v.height then
					place_effect(v.x + (v.width / 2),v.y + (v.height / 2),0,explosion)
					TEsound.play(explode,'sound')
					table.remove(bullet, ia)
					table.remove(bomb, i)
				end
			end
		if v.y + v.height > groundy then
			TEsound.play(bombsound, 'sound')
			if player.x > v.x - v.radius and
			player.x < v.x + v.radius then
				player.health = player.health - 1
				if player.x + (player.width / 2) < v.x + (v.width / 2) then
					player.yvel = player.yvel - 500
					player.xvel = player.xvel - 500
				end
				if player.x + (player.width / 2) > v.x + (v.width / 2) then
					player.yvel = player.yvel - 500
					player.xvel = player.xvel + 500
				end

			end
			place_effect(v.x + (v.width / 2),v.y + (v.height / 2),0,groundpicp)
			table.remove(bomb, i)
		end
	end	
end