
bullet = {}
function bullet:spawn(x,y,direction)
	table.insert(bullet, {x = x,speed = 250, y = y, direction = direction,width = 2, height = 2})
end
function bullet:draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(195,195,0)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end

shotimer = 0
sholim = 0.3
player.shoot = true
function bullet:update(dt)
	for i,v in ipairs(bullet) do
		if v.x > player.x + (love.graphics.getWidth() * 0.3 / 2) then
			table.remove(bullet, i)
		end
		if v.x < player.x - (love.graphics.getWidth() * 0.3 / 2) then
			table.remove(bullet, i)
		end
		if v.direction == "right" then
			v.x = v.x + v.speed * dt
		end
		if v.direction == "left" then
			v.x = v.x - v.speed * dt
		end
	end
	if player.health ~= 0 then
	shotimer = shotimer + dt
	if love.keyboard.isDown(' ') then
		if shotimer > sholim then
			TEsound.play(shoot,'sound')
			bullet:spawn(player.x + player.width,player.y + (player.height / 2),player.direction)
			shotimer = 0
		end
	end
	end

end