

explosion = love.graphics.newImage("pics/explosion.png")
explosion:setFilter('nearest','nearest')

charlie = {}
charlie[1] = love.graphics.newImage('pics/charlie/1.jpeg')
charlie[2] = love.graphics.newImage('pics/charlie/2.jpeg')
charlie[3] = love.graphics.newImage('pics/charlie/3.jpeg')
charlie[4] = love.graphics.newImage('pics/charlie/4.jpeg')
charlie[5] = love.graphics.newImage('pics/charlie/5.jpeg')
charlie[6] = love.graphics.newImage('pics/charlie/6.jpeg')

enemy = {}

function enemy.spawn(x,y,pic)
	table.insert(enemy, {health = 1,x = x,y = y, pic = pic, speed = 200,width = pic:getWidth() * 0.1,height = pic:getHeight() * 0.1,xvel = 0,yvel = 0, friction = 3.5})
end
function enemy.draw()
	for i,v in ipairs(enemy) do
		love.graphics.setColor(255,255,255)
		love.graphics.draw(v.pic,v.x,v.y,0,0.1,0.1)
	end
end
hurtimer = 0
function enemy.update(dt)
	hurtimer = hurtimer + dt
	for i,v in ipairs(enemy) do
		v.x = v.x + v.xvel * dt
		v.y = v.y + v.yvel * dt



		v.yvel = v.yvel + gravity * dt
		v.xvel = v.xvel * (1 - math.min(dt*v.friction, 1))

		if v.y + v.pic:getHeight() * 0.1 > groundy then
			v.y = groundy - v.pic:getHeight() * 0.1
			v.yvel = 0
		end
		
		
			if player.x + (player.width / 2) < v.x + (v.width / 2) then
				v.xvel = v.xvel - v.speed * dt
			end
			if player.x + (player.width / 2) > v.x + (v.width / 2) then
				v.xvel = v.xvel + v.speed * dt
			end
		
		
		for ia,va in ipairs(bullet) do
			if va.x + va.width > v.x and
			va.x < v.x + v.width and
			va.y + va.height > v.y and
			va.y < v.y + v.height then

				v.health = v.health - 1
				place_effect(v.x + (v.width / 2),v.y + (v.height / 2),0,explosion)
				TEsound.play(explode,'sound')
				note.spawn('+100')
				player.points = player.points + 100
				table.remove(enemy, i)
				table.remove(bullet, ia)
			end
		end
		if player.x + player.width > v.x and
		player.x < v.x + v.width and
		player.y + player.height > v.y and
		player.y < v.y + v.height then
			if hurtimer > 0.5 then
				player.health = player.health - 1
				TEsound.play(hurt,'sound')
				player.red = 255
				player.green = 50
				player.blue = 50
				hurtimer = 0
			else
				player.red = 255
				player.green = 255
				player.blue = 255
			end
		end
	end
end
local timer = 0
local bombchance = math.random(1,100)
function FUCK(dt)
	timer = timer + dt
	if timer > math.random(2,4) then
		enemy.spawn(player.x + (love.graphics.getWidth() * 0.3 / 2) + math.random(100,500),50,charlie[math.random(1,#charlie)])
		enemy.spawn(player.x - (love.graphics.getWidth() * 0.3 / 2) - math.random(100,500),50,charlie[math.random(1,#charlie)])

		if bombchance < 50 then
			bomb.spawn(math.random(player.x - 100,player.x + 100),0 - 64,charlie[math.random(1,#charlie)])
		end

		math.randomseed(os.time())
		math.random()
		math.random()
		math.random()
		bombchance = math.random(1,100)
		timer = 0
	end
end



