require "menu"
require "particles"
require "sound"
require "notifications"
require "env"
require "player"
require "paralax"
require "bullet"
require "bomb"
require "map"
require "charlie"
require 'camera'

function love.load()
	love.filesystem.setIdentity('SockMunkee')

	

	mount = love.graphics.newImage('pics/mount.png')
	mount:setFilter('nearest','nearest')


	screenwidth = love.graphics.getWidth()
	screenheight = love.graphics.getHeight()
	love.graphics.setBackgroundColor(255,255,255)

	gravity = 750
	groundy = love.graphics.getHeight() * 0.3 - 16

	--Fonts--
	small = love.graphics.newFont('fonts/font.ttf',24)
	medium = love.graphics.newFont('fonts/font.ttf',37)
	large = love.graphics.newFont('fonts/font.ttf',54)
	--     --



	gamestate = "menu"

	map.load()

	enemy.spawn(100,100,charlie[2])

	

	mred = 255
	mgreen = 255
	mblue = 255

	menu.load()
	maplim = 16 * 60

	env_load = true
	


	TEsound.volume('song',musicvol)

	bg = love.graphics.newImage('pics/bg.jpeg')
	TEsound.play(song[2],'song')
end
function love.update(dt)
	

	TEsound.cleanup()

	TEsound.volume('song',musicvol)

	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	if gamestate == "menu" then
		
		mred = mred + 750 * dt
		mgreen = mgreen + 500 * dt
		mblue = mblue + 1000 * dt
		if #enemy > 1 then
			for i =1,#enemy do
				table.remove(enemy, i)
			end
			for i =1,#enemy do
				table.remove(enemy, i)
			end
			for i =1,#enemy do
				table.remove(enemy, i)
			end
			for i =1,#enemy do
				table.remove(enemy, i)
			end
			for i =1,#enemy do
				table.remove(enemy, i)
			end
		end
		if #bomb > 1 then
			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end

			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end
			for i=0,#bomb do
				table.remove(bomb, i)
			end
		end
		if #effects > 1 then
			for i=1,#effects do
				table.remove(effects, i)
			end
			for i=1,#effects do
				table.remove(effects, i)
			end
			for i=1,#effects do
				table.remove(effects, i)
			end
			for i=1,#effects do
				table.remove(effects, i)
			end
		end
		button.check()
	end

	if gamestate == "playing" then
		if player.x < 0 then
			player.x = 0
			player.xvel = 0
		end
		if env_load == true then
			for i=0,tree_density do
				treenumb = treenumb + 1
				env.spawn(math.random(0,16 * 50),groundy - tree:getHeight(),tree)
				math.randomseed(os.time())
				math.random()
				math.random()
				math.random()
			
			end
			
			for i=0,cloud_density do
				cloudnumb = cloudnumb + 1
				env.spawn(math.random(0,16 * 60),10,cloud[math.random(1,#cloud)])
				
				math.randomseed(os.time())
				math.random()
				math.random()
				math.random()
			end

			env_load = false
		end
		
		layer.update(dt)
		note.update(dt)
		bomb.update(dt)
		FUCK(dt)
		update_effect(dt)
		camera.scaleX = 0.3
		camera.scaleY = 0.3
		bullet:update(dt)

		enemy.update(dt)

		if player.x + player.width > (screenwidth * 0.3) / 2 then
			camera.x = player.x + player.width - (screenwidth * 0.3) / 2
		end
		if camera.x + love.graphics.getWidth() * 0.3 > 16 * 60 then
			camera.x =  16 * 60  - love.graphics.getWidth() * 0.3
		end
		if player.x + player.width > maplim then
			player.x = maplim - player.width
		end
	end
	if gamestate == "playing" or
	gamestate == "menu" then
		player:move(dt)
	end
end
function love.mousepressed(x,y)
	if gamestate == "menu" then
		chars:click(x,y)
		button.click(x,y)
	end
end
function love.keypressed(key)
	if gamestate == "playing" then
		
		if player.jumping == false then
			if key == 'w' then
				player.yvel = -250
				player.jumping = true
			end
		end
	end
end
function love.keyreleased(key)
	if gamestate == "playing" then
		if player.health ~= 0 then
		if key == "d" then
			player.pic = playerR[1]
			player.animtimer = 0
		end
		if key == "a" then
			player.pic = playerL[1]
			player.animtimer = 0
		end
		end
	end
end

function love.draw()
	if gamestate == "menu" then
		love.graphics.setColor(255,255,255)
		love.graphics.draw(bg,0,0)
		love.graphics.setColor(mred,mgreen,mblue)
		love.graphics.setFont(large)
		love.graphics.print('SHEENPOCOLIPS!!!',love.graphics.getWidth() / 2 - (large:getWidth('SHEENPOCOLIPS!!!') / 2),5)
	end
	camera:set() 
	if gamestate == "menu" then
		chars:draw()

		
		
		button.draw()
	end

	if gamestate == "playing" then
		env.draw()
		layer.draw()
		draw_effect()
		bullet:draw()
		ground.draw()
		enemy.draw()
		bomb.draw()
	end
	if gamestate == "playing" or gamestate == "menu" then
		player:draw()
	end

	camera:unset()
	if gamestate == "playing" then
		note.draw()
		love.graphics.setFont(medium)
		love.graphics.setColor(0,0,0)
		love.graphics.print("Health: "..player.health,5,love.graphics.getHeight() - medium:getHeight())
		love.graphics.print("Points: "..player.points,love.graphics.getWidth() - medium:getWidth("Points: "..player.points) - 5,love.graphics.getHeight() - medium:getHeight())
	end
end







