

note = {}
function note.spawn(word)
	table.insert(note, {life = 0,word = word,red = 255,green = 255,blue = 255})
end
function note.draw()
	for i,v in ipairs(note) do
		v.x = love.graphics.getWidth() - large:getWidth(v.word) - 5
		v.y = love.graphics.getHeight() - large:getHeight() * 2
		love.graphics.setFont(large)
		love.graphics.setColor(v.red,v.green,v.blue)
		love.graphics.print(v.word,v.x,v.y)
	end
end
function note.update(dt)
	for i,v in ipairs(note) do
	v.life = v.life + dt
	if v.life > 0.5 then
		table.remove(note, i)
	end
	v.y = love.graphics.getHeight() - large:getHeight() * 2
	v.x = love.graphics.getWidth() - large:getWidth(v.word) - 5
	v.red = v.red + 500 * dt
	v.green = v.green - 750 * dt
	v.blue = v.blue + 1000 * dt
	end
end