
mount = love.graphics.newImage('pics/mount.png')
mount:setFilter('nearest','nearest')
layer = {}

function layer.spawn(x,y,pic,spot)
	table.insert(layer, {spot = spot,x = x, y = y, pic = pic})
end
function layer.draw()
	for i,v in ipairs(layer) do
		love.graphics.setColor(255,255,255)
		if v.spot == 3 then
			love.graphics.draw(v.pic,v.x,v.y,0,2.5,3)
		end
		if v.spot == 2 then
			love.graphics.draw(v.pic,v.x,v.y,0,1.5,2)
		end
		if v.spot == 1 then
			love.graphics.draw(v.pic,v.x,v.y,0,2,2)
		end
	end
end
function layer.update(dt)
	for i,v in ipairs(layer) do
		if player.x + player.width > (screenwidth * 0.3) / 2 and
		camera.x + love.graphics.getWidth() * 0.3 < 16 * 60 then
			if v.spot == 1 then
			if player.xvel > 0.5 then
				v.x = v.x - player.xvel / 15 * dt
			end
			if player.xvel < 0.5 then
				v.x = v.x - player.xvel / 15 * dt
			end
			end
			if v.spot == 2 then
				if player.xvel > 0.5 then
				v.x = v.x - player.xvel / 30 * dt
			end
			if player.xvel < 0.5 then
				v.x = v.x - player.xvel / 30 * dt
			end
			end
			if v.spot == 3 then
				if player.xvel > 0.5 then
				v.x = v.x - player.xvel / 45 * dt
			end
			if player.xvel < 0.5 then
				v.x = v.x - player.xvel / 45 * dt
			end
			end
		end
	end
end

